* {
margin: 0;
padding: 0;
box-sizing: border-box;
}

body {
    font-family: sans-serif;
}

header {
    position: sticky;
    top: 0px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #2A0134;
    height: 180px;
    padding: 0 1em;
    z-index: 15;
}

header h1 {
    margin: 0 auto;
    color: #fefefc;
    font-family: 'Yellowtail';
    font-size: 3em;
    text-align: 25%;
}

/* Hamburger */
.menu-toggle {
    width: 30px;
    height: 25px;
    display: flex;
    z-index: 998; /* Lower than .side-menu and .overlay */
    position: relative;
    flex-direction: column;
    justify-content: space-between;
    cursor: pointer;
}

.menu-toggle span {
    height: 4px;
    background: white;
    border-radius: 4px;
    transition: all 0.3s ease;
}

.menu-toggle.active span:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
}

.menu-toggle.active span:nth-child(2) {
    opacity: 0;
}

.menu-toggle.active span:nth-child(3) {
    transform: rotate(-45deg) translate(6px, -6px);
}

/* Slide-out menu */
.side-menu {
    position: fixed;
    top: 0;
    left: -300px;
    width: 300px;
    height: 100%;
    background: #111;
    color: #fff;
    padding: 20px;
    box-sizing: border-box;
    transition: left 0.3s ease;
    z-index: 1000;
    overflow-y: auto;
    max-height: auto;
}

.side-menu.open {
    left: 0;
}

.side-menu h2 {
    margin-top: 0;
}

.side-menu ul {
    list-style: none;
    padding: 0;
}

.side-menu li {
    margin: 20px 0;
    font-size: 1.1em;
    cursor: pointer;
    color: #ffffff;
}

.side-menu li i {
    margin-right: 10px;
}

.side-menu li:hover {
    color: #0af;
}
.side-menu a {
    text-decoration: none;
}
.side-menu a:hover {
    color: #0af;
}
.side-menu a:visited {
    color: #ffffff;
    text-decoration: none;
}

/* Overlay */
.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0,0,0,0.3);
    display: none;
    z-index: 999;
}

.overlay.active {
    display: block;
}


.author-section, .publication-section {
    display: flex;
    align-items: center;
    justify-content: space-around;
    margin: 2em 2em 2em 2em;
    padding: 2em 2em 2em 2em;
    background: #f0f0f2;
    border-radius: 10px;
    border: 1px solid #dbe2e9;
}

.author-section img, .publication-section img {
    max-width: 250px;
    height: auto;
}
.left-section, .right-section {
    display: flex;
    align-items: center;
    justify-content: space-around;
    margin: 2em 2em 2em 2em;
    padding: 2em 2em 2em 2em;
    background: #f0f0f2;
    border-radius: 10px;
    border: 1px solid #dbe2e9;
}

.left-section img, .right-section img {
    max-width: 350px;
    height: auto;
}

.h2-section {
    font-size: 1.5em;
    text-align: center;
}

.image-container {
    position: relative;
    display: inline-block;
}

.image-container img {
    display: block;
    max-width: 350px;
    height: auto;
}

.hover-menu {
    position: absolute;
    top: 5%;
    left: 5%;
    width: 90%;
    background: rgba(169, 169, 169, 0.7);
    display: flex;
    flex-direction: column;
    border-radius: 5px;
    overflow: hidden;
    opacity: 0;
    pointer-events: none;
    transform: translateY(-10px);
    transition: opacity 0.4s ease, transform 0.4s ease;
    z-index: 10;
}

.image-container:hover .hover-menu {
    opacity: 1;
    pointer-events: auto;
    transform: translateY(0);
}

.hover-menu a {
    padding: 10px;
    color: black;
    text-decoration: none;
    transition: background-color 0.3s, filter 0.3s;
}

.hover-menu a + a {
    border-top: 1px solid rgba(0, 0, 0, 0.3);
}

.hover-menu a:hover {
    filter: brightness(1.3);
}

.condition-section {
    display: flex;
    align-items: top;
    justify-content: space-around;
    margin: 2em 2em 2em 2em;
    padding: 2em 1em 2em 1em;
    background: #ffffff;
    border: 1px solid #dbe2e9;
    border-radius: 10px;
    box-shadow: 2px 4px 6px gray;
}
.text-condition-section {
    margin: 0px 25px 0px 25px;
    font-size: 1.3em;
    text-align: justify;
}
.text1-section {
    margin: 0px 0px 0px 25px;
    font-size: 1.1em;
    text-align: justify;
}
.text2-section {
    margin: 0px 25px 0px 0px;
    font-size: 1.1em;
    text-align: justify;
}
.infobulle1 {
    position: relative;
    cursor: help;
    border-radius: 50%;
}
.infobulle1:hover:after,
.infobulle1:focus:after {
    content: attr(aria-label);
    position: absolute;
    top: -2.4em;
    left: 60%;
    transform: translateX(-20%);
    z-index: 1;
    white-space: nowrap;
    padding: 5px 14px;
    background: #555555;
    color: #fff;
    border-radius: 4px;
    font-size: 0.8rem;
}

.slider {
    overflow: hidden;
    width: 100%;
    background: #eee;
    padding: 1em 0;
}

.slides {
    display: flex;
    width: 100%;
    animation: slide 30s infinite linear;
}

.slides img {
    width: auto;
    height: 250px;
    max-width: 100%;
}

@keyframes slide {
    0% {transform: translateX(0);}
    20% {transform: translateX(-20%);}
    40% {transform: translateX(-40%);}
    60% {transform: translateX(-60%);}
    80% {transform: translateX(-80%);}
    100% {transform: translateX(0);}
}

footer {
    background: black;
    height:350px;
    color: white;
    text-align: center;
    padding: 1em;
}

.foot-section {
    display: flex;
    justify-content: center;
    gap: 20px;
    background-color: #000;
    text-decoration: none;
    text-align: center;
    font-size: 1.1em;
    padding: 20px;
    margin: 20px;
    -moz-box-shadow: 0px 0px 8px #000;
    -webkit-box-shadow: 0px 0px 8px #000;
    box-shadow: 0px 0px 8px #000;
}

div.foot-section a {padding: 0px 30px; text-align: right; text-decoration: none;}
div.foot-section a:link {color:#ffffff;}
div.foot-section a:visited {color:#ffffff;}
div.foot-section a:hover {color:#696969;}


    a.infobox {
        position:relative;
        text-align:center;
    }
    a.infobox:hover {
        background: none;
        z-index: 50;
    }
    a.infobox span {
        display: none;
    }
    a.infobox:hover span {
        display: block;
        position: absolute;
        bottom: 37px;
        right: 10px;
        font-family:arial, verdana, sans-serif;
        color: black;
        text-align:justify;
        font-size:0.7em;
        font-weight:normal;
        width:380px;
        background:#fff;
        padding: 5px 20px 20px 20px;
        border: 10px solid #ddd;
        -webkit-box-shadow: 0px 0px 20px #000;
        -moz-box-shadow: 0px 0px 20px #000;
        box-shadow: 0px 0px 20px #000;
        /*--Coins arrondis en CSS3--*/
        -webkit-border-radius: 10px;
        -moz-border-radius: 10px;
        border-radius: 10px;
    }
/* Responsive */
@media (max-width: 1000px) {
    header {
        height:100px !important;
    }
    header h1 {
        font-size: 2.5em;
    }
    }

@media (max-width: 768px) {
    .menu-toggle {
        display: flex;
        z-index: 10000;
        width: 25px;
        height: 20px;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        cursor: pointer;
    }
    header {
        height:100px !important;
    }
    header h1 {
        font-size: 2em;
    }
    .nav-links {
        display: none;
        flex-direction: column;
        background-color: #d3d3d3;
        text-align: center;
    }

    .nav-links.active {
        display: flex;
    }

    .author-section, .publication-section {
        flex-wrap: wrap;
        flex-direction: column;
        text-align: center;
    }
    .left-section, .right-section {
        align-items: center;
        flex-wrap: wrap;
        flex-direction: column;
        text-align: center;
    }
    .left-section img, .right-section img {
        max-width: 250px;
        height: auto;
    }
    .text1-section {
        margin: 0px 0px 0px 0px !important;
        font-size: 1em;
        text-align: justify;
    }
    .text2-section {
        margin: 0px 0px 0px 0px !important;
        font-size: 1em;
        text-align: justify;
    }
    .slides img {
        max-width: 100%;
    }
    .foot-section {
        flex-direction: column;
        align-items: center;
    }
}
